metadata:
  name: qcomlt-test-plan-smoke
  description: Smoke Test plan for Linux
  os: openembedded
  devices:
    - dragonboard410c
  maintainer:
    - anibal.limon@linaro.org
    - nicolas.dechesne@linaro.org
  format: Linaro Test Plan v2

tests:
  automated:
    - path: automated/linux/smoke/smoke.yaml
      repository: https://git.linaro.org/qa/test-definitions.git
      timeout: 1200
    - path: automated/linux/usb-smoke/usb-smoke-test.yaml
      repository: https://git.linaro.org/qa/test-definitions.git
      timeout: 1200
    - path: automated/linux/wlan-smoke/wlan-smoke.yaml
      repository: https://git.linaro.org/qa/test-definitions.git
      timeout: 1200
    - path: automated/linux/hci-smoke/hci-smoke.yaml
      repository: https://git.linaro.org/qa/test-definitions.git
      timeout: 1200
      params:
          BOOT: auto
    - path: automated/linux/toolchain-smoke/toolchain-smoke.yaml
      repository: https://git.linaro.org/qa/test-definitions.git
      timeout: 1200
    - path: automated/linux/device-tree/device-tree.yaml
      repository: https://git.linaro.org/qa/test-definitions.git
      timeout: 1200
